ExportToRTFAdapter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.export.java
Class ExportToRTFAdapter

    java.lang.Object
      org.openswing.swing.export.java.ExportToRTFAdapter

All Implemented Interfaces:
  java.io.Serializable

public class ExportToRTFAdapter
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: This class is used when exporting data in RTF format: it can be extended to override some methods.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`ExportToRTFAdapter()`

Method Summary
`float` | `getBottomRowsGrayFill(int row)`
`float` | `getEvenRowsGrayFill()`
`com.lowagie.text.Font` | `getFontTitle()`
`com.lowagie.text.Font` | `getGenericComponentFont(int row, int col, java.lang.Object value)`
`com.lowagie.text.Font` | `getHeaderFont(java.lang.String attributeName)`
`float` | `getHeaderGrayFill()`
`float` | `getOddRowsGrayFill()`
`com.lowagie.text.Font` | `getRowFont(java.lang.String attributeName)`
`float` | `getTopRowsGrayFill(int row)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportToRTFAdapter

    public ExportToRTFAdapter()

Method Detail

### getGenericComponentFont

    public com.lowagie.text.Font getGenericComponentFont(int row,
                                                         int col,
                                                         java.lang.Object value)

  Returns:
    Font to set for the specified generic cell

### getFontTitle

    public com.lowagie.text.Font getFontTitle()

  Returns:
    Font to set for the title

### getHeaderFont

    public com.lowagie.text.Font getHeaderFont(java.lang.String attributeName)

  Parameters:
    `attributeName` - attribute name that identify column header
  Returns:
    Font to set for the specified column header

### getHeaderGrayFill

    public float getHeaderGrayFill()

  Returns:
    gray fill to use in cells of column headers

### getTopRowsGrayFill

    public float getTopRowsGrayFill(int row)

  Parameters:
    `row` - row index of current locked row to color
  Returns:
    gray fill to use in cells of locked rows on top of the grid

### getEvenRowsGrayFill

    public float getEvenRowsGrayFill()

  Returns:
    gray fill to use in cells of even rows

### getOddRowsGrayFill

    public float getOddRowsGrayFill()

  Returns:
    gray fill to use in cells of odd rows

### getBottomRowsGrayFill

    public float getBottomRowsGrayFill(int row)

  Parameters:
    `row` - row index of current locked row to color
  Returns:
    gray fill to use in cells of locked rows on the bottom of the grid

### getRowFont

    public com.lowagie.text.Font getRowFont(java.lang.String attributeName)

  Parameters:
    `attributeName` - attribute name that identify current column
  Returns:
    Font to set for the specified cell

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD